/**
 * Created on 30.03.2005
 *
 * @author Jens Guenther
 */
package de.unirostock.FactoryMethod.example;

import javax.swing.ImageIcon;

public class SailingBoat extends Ship 
{
	private	boolean	itsSailsNeedsRepair	= false;
	private	boolean	itsHullNeedRepair	= false;
	
	public SailingBoat(){
		setImgIcon(new ImageIcon(getClass().getClassLoader().getResource("images/SailingBoatPlan.gif")));
	}
	
	public ShipServicePlan createShipServicePlan(){
		return new SailingBoatPlan( this );
	}

	public boolean isSailsNeedsRepair() {
		return itsSailsNeedsRepair;
	}

	public boolean isHullNeedRepair() {
		return itsHullNeedRepair;
	}

	public void setSailsNeedsRepair( boolean repair ) {
		itsSailsNeedsRepair	= repair;
	}

	public void setHullNeedRepair( boolean repair ) {
		itsHullNeedRepair	= repair;
	}

	public void repairSails() {
		itsSailsNeedsRepair	= false;
	}

	public void repairHull() {
		itsHullNeedRepair	= false;
	}

}
