/**
 * Created on 30.03.2005
 *
 * @author Jens Guenther
 */
package de.unirostock.FactoryMethod.example;

public class RepairDock
{
	/**
	 *  
	 * @uml.property name="itsShipServicePlan"
	 * @uml.associationEnd inverse="repairDock:de.unirostock.FactoryMethod.example.ShipServicePlan" multiplicity="(1 1)"
	 */
	private ShipServicePlan itsServicePlan;

	public void repairShip( Ship ship ) {
		itsServicePlan = ship.createShipServicePlan();
	}
	
	public String[] getPartsToRepair(){
		return itsServicePlan.getNeedOfRepairParts();
	}
	
	public void executeRepair(){
		itsServicePlan.repair();
		itsServicePlan	= null;
	}

}
